Skip to main content
`Ctrl`+`K`

# PetscWeakFormCreate

Creates an empty `PetscWeakForm` object.

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormCreate(MPI_Comm comm, PetscWeakForm *wf)

Collective

## Input Parameter

- comm - The communicator for the `PetscWeakForm` object

## Output Parameter

- wf - The `PetscWeakForm` object

## See Also

`PetscWeakForm`, `PetscDS`, `PetscWeakFormDestroy()`

## Level

beginner

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages